#include <iostream>
#include <string>

class Person {
public:
    Person(const std::string& name) : name_(name) {}
    
    // Defaulted copy constructor
    Person(const Person&) = default;
    
    // Defaulted copy assignment operator
    Person& operator=(const Person&) = default;
    
    void printName() const {
        std::cout << "Name: " << name_ << std::endl;
    }

private:
    std::string name_;
};

int main() {
    Person p1("Alice");
    Person p2 = p1;  // Uses defaulted copy constructor
    Person p3("Bob");
    p3 = p1;  // Uses defaulted copy assignment operator
    
    p1.printName();
    p2.printName();
    p3.printName();
    
    return 0;
}
